## GFBGraphAlbum GFBGraphAlbum — GFBGraph Photo album node object |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GFBGraphAlbum * | gfbgraph_album_new ()
GFBGraphAlbum * | gfbgraph_album_new_from_id ()
const gchar * | gfbgraph_album_get_name ()
const gchar * | gfbgraph_album_get_description ()
const gchar * | gfbgraph_album_get_cover_photo_id ()
guint | gfbgraph_album_get_count ()

## Properties

guint | count | Read / Write
gchar * | cover-photo | Read / Write
gchar * | description | Read / Write
gchar * | name | Read / Write

## Types and Values

struct | GFBGraphAlbum
struct | GFBGraphAlbumClass

## Object Hierarchy

        GObject
        ╰── GFBGraphNode
            ╰── GFBGraphAlbum

## Implemented Interfaces

GFBGraphAlbum implements GFBGraphConnectable.

## Includes

    #include <gfbgraph/gfbgraph.h>

## Description

GFGraphAlbum represents the photo album node in the Graph API.

This node is connectable to:

- GFBGraphUser

## Functions

### gfbgraph_album_new ()

    GFBGraphAlbum *
    gfbgraph_album_new (void);

Creates a new GFBGraphAlbum.

#### Returns

a new GFBGraphAlbum; unref with `g_object_unref()`.

[transfer full]

### gfbgraph_album_new_from_id ()

    GFBGraphAlbum *
    gfbgraph_album_new_from_id (GFBGraphAuthorizer *authorizer,
                                const gchar *id,
                                GError **error);

Retrieves an album node from the Facebook Graph with the give ID.

#### Parameters

authorizer | a GFBGraphAuthorizer. |
id | a const gchar with the album ID. |
error | a GError or `NULL`. | [allow-none]

#### Returns

a new GFBGraphAlbum; unref with `g_object_unref()`.

[transfer full]

### gfbgraph_album_get_name ()

    const gchar *
    gfbgraph_album_get_name (GFBGraphAlbum *album);

#### Parameters

album | a GFBGraphAlbum. |

#### Returns

the `album` name, or `NULL`.

[transfer none]

### gfbgraph_album_get_description ()

    const gchar *
    gfbgraph_album_get_description (GFBGraphAlbum *album);

#### Parameters

album | a GFBGraphAlbum. |

#### Returns

the `album` description, or `NULL`.

[transfer none]

### gfbgraph_album_get_cover_photo_id ()

    const gchar *
    gfbgraph_album_get_cover_photo_id (GFBGraphAlbum *album);

### gfbgraph_album_get_count ()

    guint
    gfbgraph_album_get_count (GFBGraphAlbum *album);

#### Parameters

album | a GFBGraphAlbum. |

#### Returns

the number of photos into the `album` or -1 in case of error.

[transfer none]

## Types and Values

### struct GFBGraphAlbum

    struct GFBGraphAlbum;

### struct GFBGraphAlbumClass

    struct GFBGraphAlbumClass {
            GFBGraphNodeClass parent_class;
    };

## Property Details

### The `“count”` property

      “count”                    guint

The number of photos in the album.

Flags: Read / Write

Default value: 0

### The `“cover-photo”` property

      “cover-photo”              gchar *

The ID for the cover photo of the album.

Flags: Read / Write

Default value: ""

### The `“description”` property

      “description”              gchar *

The album description given by the owner.

Flags: Read / Write

Default value: ""

### The `“name”` property

      “name”                     gchar *

The album name.

Flags: Read / Write

Default value: ""